Qt 5.8 | Qt 3D | C++ Classes | QClearBuffers

Qt 5.8.0 Reference Documentation

# QClearBuffers Class

(Qt3DRender::QClearBuffers)

Class to clear buffers More...

Header: | #include <QClearBuffers>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | ClearBuffers
Inherits: | Qt3DRender::QFrameGraphNode

- List of all members, including inherited members

## Public Types

enum | BufferType { None, ColorBuffer, DepthBuffer, StencilBuffer, ..., AllBuffers }
flags | BufferTypeFlags

## Properties

- buffers : BufferType
- clearColor : QColor
- clearDepthValue : float

- clearStencilValue : int
- colorBuffer : Qt3DRender::QRenderTargetOutput *

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QClearBuffers(Qt3DCore::QNode *parent = nullptr)
BufferType | buffers() const
QColor | clearColor() const
float | clearDepthValue() const
int | clearStencilValue() const
QRenderTargetOutput * | colorBuffer() const

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setBuffers(BufferType buffers)
void | setClearColor(const QColor &color)
void | setClearDepthValue(float clearDepthValue)
void | setClearStencilValue(int clearStencilValue)
void | setColorBuffer(QRenderTargetOutput *buffer)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | buffersChanged(BufferType buffers)
void | clearColorChanged(const QColor &color)
void | clearDepthValueChanged(float clearDepthValue)
void | clearStencilValueChanged(int clearStencilValue)
void | colorBufferChanged(QRenderTargetOutput *buffer)

- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

| QClearBuffers(QClearBuffersPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Class to clear buffers

A Qt3DRender::QClearBuffers FrameGraph node enables clearing of the specific render target buffers with specific values.

## Member Type Documentation

### enum QClearBuffers::BufferType
flags QClearBuffers::BufferTypeFlags

This enum type describes types of buffer to be cleared.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QClearBuffers::None` | `0` | No buffers will be cleared
`Qt3DRender::QClearBuffers::ColorBuffer` | `( 1<<0 )` | Clear color buffers
`Qt3DRender::QClearBuffers::DepthBuffer` | `( 1<<1 )` | Clear depth buffer
`Qt3DRender::QClearBuffers::StencilBuffer` | `( 1<<2 )` | Clear stencil buffer
`Qt3DRender::QClearBuffers::DepthStencilBuffer` | `DepthBuffer | StencilBuffer` | Clear depth and stencil buffers
`Qt3DRender::QClearBuffers::ColorDepthBuffer` | `ColorBuffer | DepthBuffer` | Clear color and depth buffers
`Qt3DRender::QClearBuffers::ColorDepthStencilBuffer` | `ColorBuffer | DepthStencilBuffer` | Clear color, depth and stencil buffers
`Qt3DRender::QClearBuffers::AllBuffers` | `0xFFFFFFFF` | Clear all buffers

The BufferTypeFlags type is a typedef for QFlags<BufferType>. It stores an OR combination of BufferType values.

## Property Documentation

### buffers : BufferType

Specifies the buffer type to be used.

Access functions:

BufferType | buffers() const
void | setBuffers(BufferType buffers)

Notifier signal:

void | buffersChanged(BufferType buffers)

### clearColor : QColor

Specifies the clear color to be used.

Access functions:

QColor | clearColor() const
void | setClearColor(const QColor &color)

Notifier signal:

void | clearColorChanged(const QColor &color)

### clearDepthValue : float

Specifies the clear depth value to be used.

Access functions:

float | clearDepthValue() const
void | setClearDepthValue(float clearDepthValue)

Notifier signal:

void | clearDepthValueChanged(float clearDepthValue)

### clearStencilValue : int

Specifies the stencil value to be used.

Access functions:

int | clearStencilValue() const
void | setClearStencilValue(int clearStencilValue)

Notifier signal:

void | clearStencilValueChanged(int clearStencilValue)

### colorBuffer : Qt3DRender::QRenderTargetOutput *

Specifies a specific color buffer to clear. If set to NULL (default), and ColorBuffer flag is set, all color buffers will be cleared.

Access functions:

QRenderTargetOutput * | colorBuffer() const
void | setColorBuffer(QRenderTargetOutput *buffer)

Notifier signal:

void | colorBufferChanged(QRenderTargetOutput *buffer)

## Member Function Documentation

### QClearBuffers::QClearBuffers(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QClearBuffers.

### `[protected]` QClearBuffers::QClearBuffers(QClearBuffersPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.